# try out a custom formatter

$: << '../src'

require "log4r"

class MyFormatter <  Log4r::Formatter
  def format(level, logger, tracer, data)
    buff = "The level is #{level} and has name '#{Log4r::LNAMES[level]}'\n"
    buff += "The logger is '#{logger.name}' and the data type is #{data.type}\n"
    buff += "Let's inspect the data:\n"
    buff += data.inspect + "\n"
    buff += "We were called at #{tracer[0]}\n"
  end
end

log = Log4r::Logger.new('custom formatter')
log.trace = true
log.add Log4r::StdoutOutputter.new('stdout', :formatter=>MyFormatter)
log.info [1, 2, 3, 4]
log.error "A log statement"
